Package healpix.essentials

## Class MocStringIO

- java.lang.Object
- - healpix.essentials.MocStringIO

    public class MocStringIO
    extends java.lang.Object

Moc string I/O routines.

### Constructor Summary

Constructors
`MocStringIO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Moc` `mocFromString​(java.lang.String in)` Parses a string following either the basic ASCII or JSON syntax given in the MOC standard document, and converts it into a MOC.
`static java.lang.String` `mocToStringASCII​(Moc moc)` Converts the Moc to its basic ASCII representation as described in the MOC standard document.
`static java.lang.String` `mocToStringJSON​(Moc moc)` Converts the Moc to its JSON representation as described in the MOC standard document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MocStringIO

    public MocStringIO()

### Method Detail

#### mocFromString

    public static Moc mocFromString​(java.lang.String in)

Parses a string following either the basic ASCII or JSON syntax given in the MOC standard document, and converts it into a MOC. The string need not obey the rules for a well-formed MOC given in the document.

#### mocToStringASCII

    public static java.lang.String mocToStringASCII​(Moc moc)

Converts the Moc to its basic ASCII representation as described in the MOC standard document. The result is well-formed.

#### mocToStringJSON

    public static java.lang.String mocToStringJSON​(Moc moc)

Converts the Moc to its JSON representation as described in the MOC standard document. The result is well-formed.